Package com.avaya.clientservices.collaboration.slider

## Interface SliderSlide

-     public interface SliderSlide

  The SliderSlide object provides slide metadata and allows the download of related images.

  These objects are obtained by the client application either through the `SliderListener.onSlidesAdded(List)` listener method or `Slider.getSlides()` method.

  There is a 1-1 correspondence between SliderSlide instances and actual slides, so they can be compared by reference.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `cancelContentFetching()` | Cancels pending `fetchContent(FetchImageCompletionHandler)` requests.
    `void` | `cancelThumbnailFetching()` | Cancels pending `fetchThumbnail(FetchImageCompletionHandler)` requests.
    `void` | `fetchContent​(FetchImageCompletionHandler handler)` | Retrieves full image from the server.
    `void` | `fetchThumbnail​(FetchImageCompletionHandler handler)` | Retrieves thumbnail image from the server.
    `java.util.Date` | `getCreationDate()` | Returns date at which the slide was created.
    `int` | `getNumber()` | Returns number of the slide in the slide collection (starting from 1).

- - ### Method Detail

    - #### getNumber

          int getNumber()

      Returns number of the slide in the slide collection (starting from 1).

      This value shall never change through object lifetime.

      At any given point there shall never be two or more available slides with the same number. However, after all slides are removed the numbering might be reset. Currently all slides are removed e.g. when presenter changes.

      Returns:
        number of the slide in the slides collection (starting from 1).

    - #### getCreationDate

          java.util.Date getCreationDate()

      Returns date at which the slide was created.
      Returns:
        date at which the slide was created.

    - #### fetchThumbnail

          void fetchThumbnail​(FetchImageCompletionHandler handler)

      Retrieves thumbnail image from the server.

      Client is expected to cache image data to avoid multiple calls to this method. Image data is not stored anywhere inside the SDK.

      Parameters:
        `handler` - completion handler instance that is used to return thumbnail image data.

    - #### fetchContent

          void fetchContent​(FetchImageCompletionHandler handler)

      Retrieves full image from the server.

      Client is expected to cache image data to avoid multiple calls to this method. Image data is not stored anywhere inside the SDK.

      Parameters:
        `handler` - completion handler instance that is used to return full image data.

    - #### cancelThumbnailFetching

          void cancelThumbnailFetching()

      Cancels pending `fetchThumbnail(FetchImageCompletionHandler)` requests.

      Fetch requests may be serialized internally so that only a couple (possibly one) simultaneous server request is sent at any given moment. This can result in high latencies for any new requests if client previously issued fetch requests for many slides during a small period of time. This method allows to cancel some earlier requests before they finish if client is not interested in the result anymore and therefore reduce time required to finish newer requests.

    - #### cancelContentFetching

          void cancelContentFetching()

      Cancels pending `fetchContent(FetchImageCompletionHandler)` requests.
      See Also:
        `cancelThumbnailFetching()`